org.jgroups.blocks

## Class ConnectionTableNIO.MyFuture

- java.lang.Object
- - java.util.concurrent.FutureTask
  - - org.jgroups.blocks.ConnectionTableNIO.MyFuture

All Implemented Interfaces:
  java.lang.Runnable, java.util.concurrent.Future, java.util.concurrent.RunnableFuture

Enclosing class:
  ConnectionTableNIO

    public static class ConnectionTableNIO.MyFuture
    extends java.util.concurrent.FutureTask

### Constructor Summary

Constructors
Constructor and Description
`ConnectionTableNIO.MyFuture()`

### Method Summary

Methods
`protected void` `set(java.lang.Object o)`
`protected void` `setException(java.lang.Throwable t)`

### Methods inherited from class java.util.concurrent.FutureTask

`cancel, done, get, get, isCancelled, isDone, run, runAndReset`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConnectionTableNIO.MyFuture

    public ConnectionTableNIO.MyFuture()

### Method Detail

#### set

    protected void set(java.lang.Object o)

Overrides:
  `set` in class `java.util.concurrent.FutureTask`

#### setException

    protected void setException(java.lang.Throwable t)

Overrides:
  `setException` in class `java.util.concurrent.FutureTask`